Subject: Re: [PATCH 1/9] Fix git patch header processing in git-apply.

From: Robert Fitzsimons <[email-masked]>
Date: Mon, 29 Aug 2005 23:58:23 +0000

I should have mentioned before, these changes are being used in a
SourcePuller dump file to git import script I've been working on.

> I further wanted to apply the following to the proposed updates
> branch, but even with only the first one applied, it fails its
> own test, t4104-apply-complex.sh:

The test was the problem it tried to work with empty files.

> * Fix processing of a patch file which modifies the same file in git-apply.
> * Fix the processing of multiple patch files with --check in git-apply.
> * New option --ignore-applied for git-apply.

I've fixed up the problems with these patches and rebased them.

> * New option --ignore-whitespace for git-apply.

This change was just wrong and could cause file corruption, I've got
another version in the works which fixes the problem and adds some of
the suggested features.

Robert Fitzsimons
[email-masked]